dots.v2.agents.templates.byTemplate_id().get()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.agents.templates.byTemplate_id(template_id).get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Get_template_response>

Description

GetTemplate returns a team custom template by public id.

Parameters

template_id string required

Example: 11111111-2222-3333-4444-555555555555

The template UUID.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.agents.templates
    .byTemplate_id("11111111-2222-3333-4444-555555555555").get();

Response Example

Show Response Example
{
  "template": {
    "template_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
    "name": "my-custom-template",
    "spec": {
      "base_template": "coding-opencode"
    },
    "status": "TEMPLATE_STATUS_READY",
    "created_at": "2026-08-01T12:00:00Z",
    "updated_at": "2026-08-01T12:05:00Z"
  }
}

More Information

See /v2/agents/templates/{template_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.